%define _mozillapath	%{_libdir}/mozilla/plugins

Summary: A generic mozilla plug-in 
Name: mozplugger
Version: 1.1.1
Release: 3mdk
License: GPL
Group: Networking/WWW

Source0:	http://mozplugger.mozdev.org/files/mozplugger-%{version}.tar.bz2
Patch0:		mozplugger-1.1.1-mozpluggerrc.patch.bz2
Patch1:		mozplugger-1.1-make.patch.bz2

BuildRequires: XFree86-devel
BuildRoot: %{_tmppath}/%{name}-%{version}-root
URL: http://mozplugger.mozdev.org
Requires: mikmod
Requires: mpg123
Requires: sox
Requires: ImageMagick
Requires: gqview
Requires: mplayer >= 0.90-0.rc4
Obsoletes: plugger
Provides: plugger

%description
MozPlugger is a generic Mozilla plug-in that allows the use of standard Linux
programs as plug-ins for media types on the Internet.

%prep
%setup
%patch0 -p1 -b .oldrc
%patch1 -p1 -b .make

%build
make linux

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT%{_libdir}/netscape/plugins \
	$RPM_BUILD_ROOT%{_bindir} \
	$RPM_BUILD_ROOT%{_sysconfdir} \
	$RPM_BUILD_ROOT%{_mandir}/man7

install -s -m 755 mozplugger $RPM_BUILD_ROOT%{_bindir}
install -s -m 755 mozplugger.so $RPM_BUILD_ROOT%{_libdir}/netscape/plugins
install -m 644 mozpluggerrc $RPM_BUILD_ROOT%{_sysconfdir}/mozpluggerrc
install -m 644 mozplugger.7 $RPM_BUILD_ROOT%{_mandir}/man7

mkdir -p $RPM_BUILD_ROOT%{_mozillapath}
ln -s %{_libdir}/netscape/plugins/mozplugger.so \
	$RPM_BUILD_ROOT%{_mozillapath}/mozplugger.so

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc README COPYING
%config(noreplace) %{_sysconfdir}/mozpluggerrc
%{_bindir}/mozplugger
%{_libdir}/netscape/plugins/mozplugger.so
%{_mozillapath}/mozplugger.so
%{_mandir}/man7/*

%changelog
* Tue Feb 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.1-3mdk
- use noisy option for quicktime entry too.

* Tue Feb 18 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.1-2mdk
- Removed .bmp,.png from mozpluggerrc, because natively supported.
- Use noisy option.

* Mon Feb 17 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1.1-1mdk
- Release: 1.1.1.
- Updated Patch0.
- Removed Patch2, now merged into main.

* Mon Feb 17 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1-3mdk
- Removed preload from ogg entry in mozpluggerrc.
- Updated Patch2.
- Set path of mozilla.

* Sun Feb 16 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1-2mdk
- Updated URL.

* Sun Feb 16 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.1-1mdk
- Release 1.1.

* Sat Feb 15 2003 Giuseppe Ghib <ghibo@mandrakesoft.com> 1.0-1mdk
- Initial release ofn mozplugger 1.0.
- Readatped patches of previous plugger.

* Sat Dec 14 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.0-8mdk
- added application/x-maplyer2 to /etc/pluggerrc for .wmv files
- added mplayer in Requires:.

* Sat Sep 07 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.0-7mdk
- added audio/x-realaudio to /etc/pluggerrc.

* Sat Aug 31 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.0-6mdk
- added missed MPlayer in video/x-mpeg mime item of pluggerrc.

* Fri Aug 30 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.0-5mdk
- removed audio/x-pn-realaudio-plugin in pluggerrc (let the
  native rpnp.so plugin provide this if needed).
- added in /etc/pluggerrc: application/vnd.rn-realmedia, application/smil,
  audio/vnd.rn-realaudio, audio/x-pn-realaudio, video/vnd.rn-realvideo
  to be used with realplay.

* Wed Aug 28 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.0-4mdk
- Removed streaming for mtvp (video/x-mpeg) and mpg123 (audio/x-mp3) because
  streaming doesn't work under mozilla.
- Moved mtvp beyond xine and mplayer in video/x-mpeg.
- Let application/pdf, application/x-pdf be used with the acroread plugin
  because it works better than "swallowing".
- Added OpenOffice mime entries in pluggerrc (from RH).
- Added Typo & Description patches from RH.
- Added Patch4 for compiling with gcc 2.96 (but not yet enabled).
- Updated mozilla path.

* Sun Aug 04 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.0-3mdk
- Fixed path (bug #33) for new mozilla.

* Mon Jan 28 2002 Frederic Crozat <fcrozat@mandrakesoft.com> 4.0-2mdk
- Remove dependency on netscape, since plugger can be user by mozilla
  and its derivate

* Sat Jan 26 2002 Giuseppe Ghib <ghibo@mandrakesoft.com> 4.0-1mdk
- updated to version 4.0.
- updated pluggerrc file.
- removed debug patch (Patch1).
- updated Patch2.
- added Patch3 (-mozilla), merged from RedHat.

* Sat Aug 26 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.3-1mdk
- updated to version 3.3.
- new pluggerrc file.

* Thu Jul 19 2001 Stefan van der Eijk <stefan@eijk.nu> 3.2-8mdk
- BuildRequires:	XFree86-devel
- Copyright --> License

* Wed Mar 14 2001 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-7mdk
- removed debug.

* Fri Sep 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-6mdk
- more macros.
- removed xanim in Requires.

* Tue Aug 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-5mdk
- use of %%_mandir.

* Sat Apr 22 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-4mdk
- changed plugger debug file from /tmp/ndebug to $HOME/tmp/plugger-debug.
  so netscape doesn't crashes if /tmp/ndebug is already existing and
  not writeble (e.g. because owned by a different user).

* Fri Apr 21 2000 Denis Havlik <denis@mandrakesoft.com> 3.2-3mdk
- fixed "Requires:" (netscape-common -> netscape)

* Wed Apr 19 2000 Denis Havlik <denis@mandrakesoft.com> 3.2-2mdk
- spechelper, fixed release, 
- added "Obsoletes: npxanim"
- added "Requires: netscape-common xanim mikmod mpg123 sox ImageMagick"

* Wed Apr 19 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 3.2-1mdk
- initial build based on RedHat 3.2-2 version
- removed png from pluggerrc (netscape has native support for it).
- fixed group.
- added man page.

* Thu Jan 27 2000 Tim Powers <timp@redhat.com>
- fixed munged group, summary etc.

* Tue Nov 23 1999 Tim Powers <timp@redhat.com>
- updated to 3.2
- quiet scripts
- updated patch

* Sat Aug 21 1999 Bill Nottingham <notting@redhat.com>
- initial build
